Summary:	Driver for the HP LaserJet 1000 GDI printers
Name: 		pbmtozjs
Version:	0
%define subrel 1
Release:	%mkrel 19
License:	GPL
Group:		System/Printing
URL:		http://www.linuxprinting.org/download/printing/pbmtozjs.c
Source0:	http://www.linuxprinting.org/download/printing/pbmtozjs.c
BuildRequires:	jbig-devel

%description
Driver for the HP LaserJet 1000 GDI printers. Perhaps it also works with some
other GDI printers made by QMS and Minolta (these manufacturer names appear in
the driver's source code).

%prep

%setup -q -c -T -n %{name}
cp %{SOURCE0} .

head -34 pbmtozjs.c | tail -33 > pbmtozjs.txt

%build
ln -s %{_includedir}/jbig.h .
%{__cc} %{optflags} %{ldflags} -o pbmtozjs pbmtozjs.c -ljbig


%install
install -d %{buildroot}%{_bindir}

install -m0755 pbmtozjs %{buildroot}%{_bindir}/

%files
%doc pbmtozjs.txt
%attr(0755,root,root) %{_bindir}/pbmtozjs




%changelog
* Wed Nov 30 2022 ns80 <ns80> 0-19.1.mga8
+ Revision: 1913293
- rebuild for new jbigkit (mga#31189)

* Fri Feb 14 2020 umeabot <umeabot> 0-19.mga8
+ Revision: 1515837
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0-18.mga7
+ Revision: 1300133
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 0-17.mga6
+ Revision: 935162
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0-16.mga5
+ Revision: 744985
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0-15.mga5
+ Revision: 727537
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0-14.mga5
+ Revision: 683361
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0-13.mga4
+ Revision: 508883
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0-12.mga3
+ Revision: 362623
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 23 2011 ennael <ennael> 0-11.mga1
+ Revision: 58069
- clean spec file
- imported package pbmtozjs


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0-11mdv2011.0
+ Revision: 607081
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 0-10mdv2010.1
+ Revision: 519053
- rebuild

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0-9mdv2010.0
+ Revision: 426373
- rebuild

* Sat Jan 31 2009 Oden Eriksson <oeriksson@mandriva.com> 0-8mdv2009.1
+ Revision: 335845
- rebuilt against new jbigkit major

* Thu Dec 25 2008 Oden Eriksson <oeriksson@mandriva.com> 0-7mdv2009.1
+ Revision: 319035
- use %%ldflags

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0-6mdv2009.0
+ Revision: 223445
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0-5mdv2008.1
+ Revision: 179154
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 0-4mdv2008.0
+ Revision: 75352
- fix deps (pixel)

* Fri Aug 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0-3mdv2008.0
+ Revision: 65216
- bump release
- use the new System/Printing RPM GROUP

* Tue Aug 14 2007 Oden Eriksson <oeriksson@mandriva.com> 0-1mdv2008.0
+ Revision: 63102
- Import pbmtozjs



* Tue Aug 14 2007 Oden Eriksson <oeriksson@mandriva.com> 0-1mdv2008.0
- initial Mandriva package
